__version__ = "0.2.14"

from .kvprocessor import KVProcessor
from .kvenvloader import load_env, LoadEnv
from .kvstructloader import KVStructLoader
from .kvfileexporter import KVFileExporter
from .kvfilemerger import KVFileMerger
from .kvfileutils import (
    search_kv_files,
    copy_kv_file,
    delete_kv_file,
)
from .kvdiff import KVFileDiffChecker
from .kvnamespacemanager import NamespaceManager as KVNamespaceManager
from .kvmanifestloader import KVManifestLoader
from .kvversionmanager import KVVersionManager
from .kvdiff import KVFileDiffChecker
from .kvvalidator import KVFileValidator, validate_kv_file, validate_kv_key, validate_kv_value
from .kvtypemap import get_type_map, set_type_map, remove_type_map, has_type_map, clear_type_map, add_type_map
from .kvglobalsettings import set_version, get_version, get_version_tuple, get_version_major, get_version_minor
from .util.errors import KVProcessorError, InvalidKVFileError, MissingEnvironmentVariableError, NamespaceNotFoundError, InvalidNamespaceError
from .util.warnings import deprecated as kv_deprecated_warning
from .util.log import log as kv_log

# CLI
from .cli import main as kv_cli_main # idealy you dont use this, and use cli directly, however, if you are lazy, just import it, then run kvprocessor.kv_cli_main() to run the CLI